Package org.kie.internal.task.query

## Enum TaskEventQueryBuilder.OrderBy

- java.lang.Object
- - java.lang.Enum<TaskEventQueryBuilder.OrderBy>
  - - org.kie.internal.task.query.TaskEventQueryBuilder.OrderBy

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<TaskEventQueryBuilder.OrderBy>`
  Enclosing interface:
    TaskEventQueryBuilder

      public static enum TaskEventQueryBuilder.OrderBy
      extends java.lang.Enum<TaskEventQueryBuilder.OrderBy>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `logTime` |
    `processInstanceId` |
    `taskId` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TaskEventQueryBuilder.OrderBy` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static TaskEventQueryBuilder.OrderBy[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### taskId

          public static final TaskEventQueryBuilder.OrderBy taskId

    - #### logTime

          public static final TaskEventQueryBuilder.OrderBy logTime

    - #### processInstanceId

          public static final TaskEventQueryBuilder.OrderBy processInstanceId

  - ### Method Detail

    - #### values

          public static TaskEventQueryBuilder.OrderBy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TaskEventQueryBuilder.OrderBy c : TaskEventQueryBuilder.OrderBy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TaskEventQueryBuilder.OrderBy valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null